当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [分享]安装nvidia100.14.19新驱动,以及2.6.22-11新内核的一点经验
帖子发表于 : 2007-09-21 4:29 
头像

注册: 2007-05-27 20:29
帖子: 630
送出感谢: 0 次
接收感谢: 0 次
建议不要单独安装新内核或者单独下载nvidia那个run文件安装。试过两次,都导致最终无法进入X。
简单又可行的方法就是直接用源里的nvidia-glx-new的deb包在gdm stop后直接升级,因为这个包中含有新内核文件。

然后重启,搞定。

不过新驱动似乎对COMPIZ无法正常使用的情况也无任何帮助,接着等待吧。 :wink:


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-09-21 19:36 

注册: 2006-12-15 16:11
帖子: 299
地址: KM
送出感谢: 0 次
接收感谢: 0 次
在7.04下也升级Kernel到2.6.22-11


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-09-21 21:35 

注册: 2006-03-21 10:47
帖子: 406
送出感谢: 0 次
接收感谢: 0 次
新内核要重新编译驱动的,估计你是装了新内核而没有重新编译一次驱动,所以有问题。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-09-21 22:55 
头像

注册: 2005-10-19 17:33
帖子: 2052
送出感谢: 0 次
接收感谢: 0 次
呵呵,linux内核版本号和驱动是紧密相连的。更新驱动版本号,必须重新安装驱动。当然ubuntu的源里面的,是跟随驱动一起更新的就没问题的。自己安装的,必须重新编译。楼主最好稍微多了解一点linux驱动的知识,特别是想手动安装最新驱动的话


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-09-21 23:34 
头像

注册: 2007-05-27 20:29
帖子: 630
送出感谢: 0 次
接收感谢: 0 次
猛将兄 写道:
呵呵,linux内核版本号和驱动是紧密相连的。更新驱动版本号,必须重新安装驱动。当然ubuntu的源里面的,是跟随驱动一起更新的就没问题的。自己安装的,必须重新编译。楼主最好稍微多了解一点linux驱动的知识,特别是想手动安装最新驱动的话

我是按照LDCN中的方法,先更新了内核,然后运行那个run文件,这个run文件会自动下载相应的编译好的内核,如果没有的话,在libc6库的支持下,会自动编译的。
尝试了两次,结果都是NVIDIA MODULE无法调用。

DO NOT JUMP TO THE CONCLUDE SO SOON, PAL:)


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-09-21 23:54 
头像

注册: 2005-10-19 17:33
帖子: 2052
送出感谢: 0 次
接收感谢: 0 次
还要disable掉系统的nv相关驱动
不知道ldcn是什么地方
我只去nvidia自己的网站看东西
http://www.nvnews.net/vbulletin/showthread.php?t=72490
看ubuntu相关不分呢


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-09-22 0:06 
头像

注册: 2007-05-27 20:29
帖子: 630
送出感谢: 0 次
接收感谢: 0 次
是sudo apt-get remove --purge nvidia-glx nvidia-glx-new吧?

关闭GDM后就已经删除了。

不过我已经安装成功了,所以也不再深入讨论了,只是给安装出问题的朋友提供一点建议。

LDCN是LINUX桌面中文网。
那个RUN文件就是从NV官网上下载的。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译